//
// Module: Epxrlcorr
// Author: Richard Saxton 
//
// Description: Main class for calculating  a source fluxer profile
//
// Modifications: See ChangeLog
//

#ifndef Epxrlcorr_H
#define Epxrlcorr_H

/* General classes */
#include <iostream>

/* SAS-specific classes */
#include "Tracer.h"
#include "Dal.h"
#include "Image.h"

/* Local Structure */


/****************************************************
 *
 * class Epxrlcorr
 *
 ***************************************************/

class Epxrlcorr
{
public:

  /* Constructor */
  Epxrlcorr();

  /* Destructor */
  ~Epxrlcorr();

private:
  /* Member fields */
  /* Methods */
   void readRawEventFile(string eventset);

   string findOffsetMap();

   SImage calculateXRL(string &offsetmap);

   short int getmedian(vector<short int> tempVec);

   void XRLCorrApply(DataSet * evset, SImage XRLCorrMap);

   bool _rawinputfile; // True if input from a raw event file and false
		  // if from an epframes output file
};

#endif

